Bug 169794 - 'Change several bugs at once' emits too many mail headers.
'Change several bugs at once' emits too many mail headers.
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.2
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-03 13:51 EDT by Bill Nottingham
Modified: 2014-03-16 22:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 11:15:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2005-10-03 13:51:13 EDT
I recieved a bug with the following header:

X-Bugzilla-Changed-Fields: Status Resolution Status Resolution Status Resolution
Status Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution
+Status Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status
+Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution
+Status Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status
+Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution
+Status Resolution Status Resolution Status R!
 esolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution
+Status Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status
+Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution
+Status Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status
+Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution Status Resolution Status
Resolution Status Resolution Status Resolution
+Status Resolution Status Resolution Status!
  Resolution Status Resolution Status Resolution Status Resolut...

This was a bug closed with 'Change several bugs at once'. I suspect it's
updating the header once for every bug in the group, when it should only be
updated for the bug it's sending mail from.
Comment 1 David Lawrence 2005-10-03 13:58:41 EDT
Ack. Will take a look.
Comment 2 David Lawrence 2008-09-16 12:53:41 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Note You need to log in before you can comment on or make changes to this bug.